Subject: [PATCH/RESEND 0/9] drm: tilcdc driver fixes

From: [email-masked] (Darren Etheridge)
Date: Tue, 1 Jul 2014 21:31:13 -0500

On 07/01/2014 06:39 PM, Guido Mart?nez wrote:
> On Fri, Jun 27, 2014 at 05:08:51PM -0500, Darren Etheridge wrote:
>> [snip]
>>
>> Otherwise I think this is a good and useful patch series.
> It that a Tested-by tag? :)

Sure - I would prefer that the WARN_ON was silenced when the tilcdc 
module is removed, but the series adds improvements over what is there 
now.  I have tested it across a few variants of AM335x boards and 
attached display hardware in both module form and built-in to the 
kernel, therefore:

Tested-by: Darren Etheridge <[email-masked]>

>
> Thanks!
> Guido
>
>>
>> Darren
>>
>>> The first 7 patches are bug fixes which and should probably be applied
>>> in the stable trees. The last two are clean-ups.
>>>
>>>
>>> Resending this since I got no replies.
>>>
>>>
>>> Guido Mart?nez (9):
>>>    drm/i2c: tda998x: move drm_i2c_encoder_destroy call
>>>    drm/tilcdc: panel: fix dangling sysfs connector node
>>>    drm/tilcdc: slave: fix dangling sysfs connector node
>>>    drm/tilcdc: tfp410: fix dangling sysfs connector node
>>>    drm/tilcdc: panel: fix leak when unloading the module
>>>    drm/tilcdc: fix release order on exit
>>>    drm/tilcdc: fix double kfree
>>>    drm/tilcdc: remove submodule destroy calls
>>>    drm/tilcdc: replace late_initcall with module_init
>>>
>>>   drivers/gpu/drm/i2c/tda998x_drv.c      |  2 +-
>>>   drivers/gpu/drm/tilcdc/Module.symvers  |  0
>>>   drivers/gpu/drm/tilcdc/tilcdc_drv.c    | 15 +++++--------
>>>   drivers/gpu/drm/tilcdc/tilcdc_drv.h    |  1 -
>>>   drivers/gpu/drm/tilcdc/tilcdc_panel.c  | 39 +++++++++++++++++-----------------
>>>   drivers/gpu/drm/tilcdc/tilcdc_slave.c  | 27 +++++++++++++----------
>>>   drivers/gpu/drm/tilcdc/tilcdc_tfp410.c | 35 +++++++++++++++---------------
>>>   7 files changed, 59 insertions(+), 60 deletions(-)
>>>   create mode 100644 drivers/gpu/drm/tilcdc/Module.symvers
>>>
>